Bug 36136 - Debug / support via log file
Debug / support via log file
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Virtualization - UVMM
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Erik Damrose
Stefan Gohmann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-11 07:52 CEST by Stefan Gohmann
Modified: 2014-11-26 06:54 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-10-11 07:52:56 CEST
Currently, the log file contains mostly messages like this:

 Exception in update() in thread EC Fail: EC2_EU_WEST

That might be OK if you have full access to the local server and can do research on this server. But if you get only the log file from the customer, you have no chance to investigate the error.

I think we need at least in the error scenario the following information:
 - which user
 - which connection
 - the traceback
Comment 1 Erik Damrose univentionstaff 2014-10-14 11:28:56 CEST
r54382 univention-virtual-machine-manager-daemon 4.0.3-4

A traceback is now logged if an error occurs. In addition, the last error message can be queried by the frontend if desired
Comment 2 Stefan Gohmann univentionstaff 2014-10-30 10:42:24 CET
OK, it looks better. I see some tracebacks in the logfile.

But I see a log of messages in this format by default every 15 seconds:

2014-10-30 05:40:00,962 - uvmmd.cloudconnection - DEBUG - Updating information for OpenStack: http://192.168.0.79:5000
2014-10-30 05:40:01,315 - uvmmd.cloudconnection - DEBUG - Updating took 0.352607011795 seconds for OpenStack
2014-10-30 05:40:01,316 - uvmmd.cloudconnection - DEBUG - Next update for OpenStack: 0:00:15.000

I think we should increase the default log level, currently:
 uvmm/debug: DEBUG

In other modules we use PROCESS but I think UVMM uses different names. Maybe INFO is the right level.
Comment 3 Erik Damrose univentionstaff 2014-10-30 16:49:52 CET
Fixed in
uvmm/debug?INFO
r55169 univention-virtual-machine-manager-daemon 4.0.7-3
Comment 4 Erik Damrose univentionstaff 2014-10-31 09:29:23 CET
r55193 Changelog
Comment 5 Stefan Gohmann univentionstaff 2014-10-31 09:31:11 CET
Tests: OK
Changelog: OK
Comment 6 Stefan Gohmann univentionstaff 2014-11-26 06:54:03 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".